#!/bin/sh

echo Copying files...
cp Archive.pax /
cd /
echo Extracting...
pax -r < Archive.pax
echo Setting Java 6 as default...

cd /System/Library/Frameworks/JavaVM.framework/Versions
sudo rm Current
sudo ln -s 1.6.0 Current
java -version

echo Gratulations! You have successfully upgraded to Java 6! Have fun!
